> ## Documentation Index
> Fetch the complete documentation index at: https://docs.voiceflow.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create transcript property

> Create a new transcript property definition.



## OpenAPI

````yaml /specs/analytics/openapi.public.json post /v1/transcript-property
openapi: 3.0.0
info:
  title: Analytics
  description: Voiceflow analytics service
  version: 1.0.0
  contact: {}
servers:
  - url: https://analytics-api.voiceflow.com
security: []
paths:
  /v1/transcript-property:
    post:
      tags:
        - Transcript property
        - Public-Docs
      summary: Create transcript property
      description: Create a new transcript property definition.
      operationId: TranscriptPropertyPublicController_create_v1
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                projectID:
                  type: string
                  minLength: 24
                  maxLength: 24
                  description: ID of the project this property belongs to.
                name:
                  type: string
                  minLength: 1
                  maxLength: 100
                  description: The name of this property.
                type:
                  $ref: '#/components/schemas/TranscriptPropertyType'
              required:
                - projectID
                - name
                - type
              additionalProperties: false
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  property:
                    $ref: '#/components/schemas/TranscriptPropertyResponse'
                required:
                  - property
      security:
        - auth: []
components:
  schemas:
    TranscriptPropertyType:
      type: string
      enum:
        - boolean
        - number
        - string
      description: The type of value held by this property.
      x-enumNames:
        - BOOLEAN
        - NUMBER
        - STRING
    TranscriptPropertyResponse:
      type: object
      properties:
        id:
          type: string
        projectID:
          type: string
        name:
          type: string
        type:
          type: string
        default:
          type: boolean
        createdAt:
          type: string
          format: date
        updatedAt:
          type: string
          format: date
      required:
        - id
        - projectID
        - name
        - type
        - default
        - createdAt
        - updatedAt
      additionalProperties: false
  securitySchemes:
    auth:
      type: apiKey
      in: header
      name: authorization
      description: Voiceflow API key

````